#
# spec file for package vclt-tools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vclt-tools
Version:        0.1.4
Release:        pm150500.1.1
Summary:        Collection of tools to create and manipulate VCLT playlists
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://roaraudio.keep-cool.org/
Source:         http://roaraudio.keep-cool.org/dl/%{name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(MP3::Info)
BuildRequires:  perl(XML::Simple)
Requires:       oggz-tools
Requires:       perl(Digest::SHA)
Requires:       perl(Data::Dumper)
Requires:       perl(MP3::Info)
Requires:       perl(XML::Simple)
Requires:       vorbis-tools
Recommends:     flac
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package is a set of tools used to generate and manipulate VCLT
playlists. VCLT playlists are playlists just like M3U or PLS with the
difference that much more data about the entries is stored.

The most important tool included is dir2vclt. It is used to generate a
playlist based on a directory. The playlist will contain a entry for each
media file in the directory.

%prep
%setup -q

%build
./configure --prefix /usr
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING.gplv3 ChangeLog
%defattr(-,root,root)
%{_bindir}/dir2vclt
%{_bindir}/metaflac2time
%{_bindir}/mp32vclt
%{_bindir}/xiph2vclt
%{_mandir}/man?/dir2vclt.1.*
%{_mandir}/man?/metaflac2time.1.*
%{_mandir}/man?/mp32vclt.1.*
%{_mandir}/man?/xiph2vclt.1.*

%changelog
* Thu Apr 30 2015 avvissu@yandex.ru
- Initial version
